Is iBank 4 supported with macOS Sierra, 10.12?

iBank 4 is not supported with macOS Sierra, 10.12.  The last supported version of OS X with iBank 4 was 10.8.5.  We recommend upgrading to Banktivity 5 when using newer versions of OS X/macOS.

We have Support Articles  that explain how to upgrade at the discounted price and how to import your iBank 4 data into Banktivity 5 with detailed steps.  Here are the links:

Upgrade from iBank 4 to Banktivity 5 at a discounted price:
https://www.iggsoftware.com/support/articles/ibank-5/id-like-to-upgrade-from-ibank-4-to-ibank-5-is-there-a-discounted-price/

Upgrade iBank 4 data to Banktivity 5:
https://www.iggsoftware.com/support/articles/ibank-5/how-do-i-upgrade-my-ibank-4-data-to-ibank-5/